io.swagger.client.model

## Class ContractCode

- java.lang.Object
- - io.swagger.client.model.ContractCode

-     public class ContractCode
      extends Object

  ContractCode

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractCode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractCode` | `contractCodeID(Integer contractCodeID)`
    `ContractCode` | `createdByUserId(Integer createdByUserId)`
    `ContractCode` | `createdDtTm(org.joda.time.DateTime createdDtTm)`
    `boolean` | `equals(Object o)`
    `Integer` | `getContractCodeID()` Get contractCodeID
    `Integer` | `getCreatedByUserId()` Get createdByUserId
    `org.joda.time.DateTime` | `getCreatedDtTm()` Get createdDtTm
    `Integer` | `getLedgerID()` Get ledgerID
    `int` | `hashCode()`
    `ContractCode` | `ledgerID(Integer ledgerID)`
    `void` | `setContractCodeID(Integer contractCodeID)`
    `void` | `setCreatedByUserId(Integer createdByUserId)`
    `void` | `setCreatedDtTm(org.joda.time.DateTime createdDtTm)`
    `void` | `setLedgerID(Integer ledgerID)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractCode

          public ContractCode()

  - ### Method Detail

    - #### contractCodeID

          public ContractCode contractCodeID(Integer contractCodeID)

    - #### getContractCodeID

          public Integer getContractCodeID()

      Get contractCodeID
      Returns:
        contractCodeID

    - #### setContractCodeID

          public void setContractCodeID(Integer contractCodeID)

    - #### ledgerID

          public ContractCode ledgerID(Integer ledgerID)

    - #### getLedgerID

          public Integer getLedgerID()

      Get ledgerID
      Returns:
        ledgerID

    - #### setLedgerID

          public void setLedgerID(Integer ledgerID)

    - #### createdByUserId

          public ContractCode createdByUserId(Integer createdByUserId)

    - #### getCreatedByUserId

          public Integer getCreatedByUserId()

      Get createdByUserId
      Returns:
        createdByUserId

    - #### setCreatedByUserId

          public void setCreatedByUserId(Integer createdByUserId)

    - #### createdDtTm

          public ContractCode createdDtTm(org.joda.time.DateTime createdDtTm)

    - #### getCreatedDtTm

          public org.joda.time.DateTime getCreatedDtTm()

      Get createdDtTm
      Returns:
        createdDtTm

    - #### setCreatedDtTm

          public void setCreatedDtTm(org.joda.time.DateTime createdDtTm)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.